with GNATCOM.Dispinterface;

package MSHTML.IHTMLObjectElement5_Object is

   type IHTMLObjectElement5_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_object
     (This : IHTMLObjectElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_object
     (This : IHTMLObjectElement5_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLObjectElement5_Object;

